# vim: set sw=4 ts=4 et nu:
#
# spec file for package roaraudio
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# Please submit bugfixes or comments via http://bugs.opensuse.org/

Name:           roaraudio
Version:        0.99+1.0beta11
Release:        1.1
%define pkg_version 1.0beta11
Summary:        RoarAudio Sound System
License:        GPL-3.0+ and LGPL-3.0+
Group:          System/Sound Daemons
Source:         roaraudio-%{pkg_version}.tar.xz
Url:            http://roaraudio.keep-cool.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  alsa-devel
BuildRequires:  gcc
BuildRequires:  glibc-devel
BuildRequires:  kernel-devel
BuildRequires:  libao-devel
BuildRequires:  libdnet-devel
BuildRequires:  libesd-devel
BuildRequires:  liboggz-devel
BuildRequires:  libopenssl-devel
BuildRequires:  libpulse-devel
BuildRequires:  librsound-devel
BuildRequires:  libshout-devel
BuildRequires:  libsndfile-devel
BuildRequires:  make
BuildRequires:  pkgconfig
BuildRequires:  portaudio-devel
BuildRequires:  speex-devel
BuildRequires:  update-desktop-files

%description
RoarAudio is a modern, multi OS sound system. Its main purpose is to connect
software (like media players) and devices (like soundcards) as a mid-layer
adding features you expect from a modern sound system like software mixing and
full network transparency.

RoarAudio can also be used to connect multiple software components. An example
for such a setup is a common webradio setup where the used playback software is
connected to a streaming server in addition to a local soundcard. RoarAudio has
special features for such setups like meta data passing. 

%package devel
Summary:        Development Environment for the RoarAudio Sound System
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}

%description devel
RoarAudio is a modern, multi OS sound system. Its main purpose is to connect
software (like media players) and devices (like soundcards) as a mid-layer
adding features you expect from a modern sound system like software mixing and
full network transparency.

RoarAudio can also be used to connect multiple software components. An example
for such a setup is a common webradio setup where the used playback software is
connected to a streaming server in addition to a local soundcard. RoarAudio has
special features for such setups like meta data passing. 

%prep
%setup -q -n "roaraudio-%{pkg_version}"

%build
./configure \
    --cflags "%{optflags}" \
    --cc "%__cc" \
    --cdrom /dev/cdrom \
    --audio-group audio \
    --runtime-detect \
    --prefix "%{_prefix}" \
    --prefix-lib "%{_libdir}" \
    --prefix-man "%{_mandir}" \
    --default-rate 44100 \

%__make %{?_smp_mflags} \
    OPTI_O="%{optflags}" \
    CC="%__cc"

%install
%__make install DESTDIR="%{buildroot}"

for l in artsc Y2; do
    %__rm -fv "%{buildroot}%{_libdir}/roaraudio/complibs/lib${l}".*
done

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING* HACKING README TODO
%exclude %{_bindir}/roar-config
%exclude %{_libdir}/roaraudio/complibs/*.so
%{_bindir}/*
%{_libdir}/*.so.*
%{_libdir}/roaraudio
%doc %{_mandir}/man1/*.1*
%doc %{_mandir}/man7/*.7*

%files devel
%defattr(-,root,root)
%{_bindir}/roar-config
%{_includedir}/*
%{_libdir}/ckport
%{_libdir}/*.so
%{_libdir}/pkgconfig
%dir %{_libdir}/roaraudio
%dir %{_libdir}/roaraudio/complibs
%{_libdir}/roaraudio/complibs/lib*.so
%doc %{_mandir}/man3/*.3*

%changelog
* Mon Oct 13 2014 olaf@aepfle.de
- Update to beta11
* Thu Jul 19 2012 pascal.bleser@opensuse.org
- don't build against celt on 12.2 either, too old too (or too recent), breaks
* Thu Jul 19 2012 pascal.bleser@opensuse.org
- initial version (0.99+1.0beta2)
